<?php php_track_vars?>
<?php

include "config.inc";
include "misc.inc";

if(!isAdmin())
{
    die("Must be admin!");
}

if(!isset($Caption)      ||
   !isset($Comment)      ||
   !isset($Groups )      ||
   !isset($Id)
)
{
    die("Need 'You must fill all fields' parameters");
}

if(!isset($ShotAtDay )   ||
   !isset($ShotAtMonth)  ||
   !isset($ShotAtYear )  ||
   $ShotAtDay      == '' ||
   $ShotAtMonth    == '' ||
   $ShotAtYear     == '')
{
        // Date not set - null
        $shot_at = "NULL";
} else
{
        if($ShotAtYear<1900)
        {
                die("Year must be full 4 digits, now it is '$ShotAtYear'");
        }
        $shot_at      = addslashes("$ShotAtYear-$ShotAtMonth-$ShotAtDay");
}

include "config.inc";
include "php-dbi.inc";
include "connect.inc";
        
$Comment = addslashes($Comment);
$Caption = addslashes($Caption);
$Id      = addslashes($Id);


$sql = "UPDATE Images SET Caption='$Caption', Comment='$Comment', ShotAt='$shot_at' WHERE Id=$Id";

if(!dbi_query($sql))
{
        $error = dbi_error ();
} else
{
        // Image added, not let us add it to groups
        
        // First, remove all old groups references
        if(!dbi_query("DELETE FROM ImageGroups WHERE ImageId=$Id"))
        {
                $error = dbi_error ();
        } else
        {
                // add new groups references
                $i=0;
                while($i < count($Groups)) 
                {
                        $sql="INSERT INTO ImageGroups (ImageId, GroupId) VALUES ($Id, $Groups[$i])";
                        if(!dbi_query($sql))
                        {
                                $error = dbi_error ();
                                break;
                        }  
                        $i++;
                }
                do_redirect("image_detail.php?Id=$Id");
        }
}

?>

<HTML>
<HEAD>
<TITLE>Error</TITLE>
<?php include "styles.inc"; ?>
</HEAD>
<BODY CLASS=body>

<H1>Error</H1>

<BLOCKQUOTE class="error">
<?php
echo $error;
echo "</BLOCKQUOTE>";
include "footer.inc";
?>


