<?php php_track_vars?>
<?php

include "config.inc";
include "php-dbi.inc";
include "connect.inc";
include "misc.inc";

if(!isset($Keyword) || $Keyword=='')
{
    die("Need keywords");
}

if(!isset($Scope) || $Scope=='')
{
    die("Need 'Scope' parameter");
}

if(!isset($MaxMatches) || $MaxMatches > $GLOBALS["max_search_results"] || $MaxMatches < 1)
{
        $MaxMatches=$GLOBALS["max_search_results"];
}

?>

<?php 
start_group_page("Search results", "Results of search for: <b><pre>$Keyword</pre></b>");

$sql = "select Id, Caption, Width, Height, Bytes, Views from Images WHERE ";

$pattern=keyword2LIKEpattern($Keyword);
if($Scope=="description")
{
        $sql=$sql . "Comment LIKE '$pattern'";
} else if($Scope=="both")
{
        $sql=$sql . "Comment LIKE '$pattern' OR Caption LIKE '$pattern'";
} else 
{
        $sql=$sql . "Caption LIKE '$pattern'";
}

$sql = $sql .   " ORDER BY Images.ShotAt";

list_images($sql, $MaxMatches);

include "footer.inc";
?>
