<?php php_track_vars?>
<?php

include "config.inc";
include "misc.inc";

if(!isAdmin())
{
    die("Must be admin!");
}

if(!isset($Caption)      ||
   !isset($Comment)      ||
   !isset($Groups )      ||
   !isset($File)
)
{
    die("Need 'You must fill all fields' parameters");
}

if(!isset($ShotAtDay   ) ||
   !isset($ShotAtMonth ) ||
   !isset($ShotAtYear  ) ||
   $ShotAtDay      == '' ||
   $ShotAtMonth    == '' ||
   $ShotAtYear     == '')
{
        // Date not set - null
        $shot_at = "NULL";
} else
{
        if($ShotAtYear<1900)
        {
                die("Year must be full 4 digits");
        }
        $shot_at      = addslashes("$ShotAtYear-$ShotAtMonth-$ShotAtDay");
}

include "config.inc";
include "php-dbi.inc";
include "connect.inc";
        
$res=dbi_query("SELECT MAX(Id)+1 FROM Images");
if($res) 
{
        if($row = dbi_fetch_row( $res )) 
        {
                if($row[0] != null)
                {
                        $newid = $row[0];
                } else
                {
                        $newid = 0;
                }
        } else
        {       
                // no records yet
                $newid = 0;
        }
        dbi_free_result ( $res );

        // Format: yyyy-mm-dd hh:mm:ss.fffffffff
        $published_at = strftime("%Y-%m-%d %T.000000000");

        // get contents of a file into a string
        $fd = fopen( $File, "r");
        $data = addslashes(fread($fd, filesize($File)));
        fclose($fd);

        $size=getimagesize($File); 
        
        $Comment = addslashes($Comment);
        $Caption = addslashes($Caption);
       
        //produce thumbnail
        if($File_type=="image/jpeg" || $File_type=="image/pjpeg")
        {
                system("djpeg -pnm $File | pnmscale -xscale 0.1 -yscale 0.1 | cjpeg > $File.tmb");
                $fd = fopen( "$File.tmb", "r");
                $tmb = addslashes(fread($fd, filesize("$File.tmb")));
                fclose($fd);
                unlink("$File.tmb");
        }
 
        $sql   = "INSERT INTO Images (Id, Views, Bytes, Format, Caption, Comment, ShotAt, PublishedAt, Width, Height, Image, Thumbnail) VALUES ($newid, 0, $File_size, '$File_type', '$Caption', '$Comment', '$shot_at', '$published_at', $size[0], $size[1], '$data', '$tmb')";

        if(!dbi_query($sql))
        {
                $error = dbi_error ();
        } else
        {
                // Image added, not let us add it to groups
                $i=0;
                while($i < count($Groups)) 
                {
                        $g  = addslashes($Groups[$i]);
                        $sql="INSERT INTO ImageGroups (ImageId, GroupId) VALUES ($newid, $g)";
                        if(!dbi_query($sql))
                        {
                                $error = dbi_error ();
                                break;
                        }  
                        $i++;
                }
                echo "<HTML><HEAD><TITLE>Upload successful</TITLE>";
                include "styles.inc";
                echo "</HEAD><BODY CLASS=body><H1 CLASS=title>Upload successful</H1>";
                echo "<p>Your image was sucessfully uploaded to the archive.";
                echo "You can see it <a href=\"image_detail.php?Id=$newid\">here</a>.";
                include "footer.inc";
                return;
        }
} else
{
        $error = dbi_error ();
}

?>

<HTML>
<HEAD>
<TITLE>Error</TITLE>
<?php include "styles.inc"; ?>
</HEAD>
<BODY CLASS=body>

<H1>Error</H1>

<BLOCKQUOTE class="error">
<?php
echo $error;
echo "</BLOCKQUOTE>";
include "footer.inc";
?>


